#!python

from distutils.core import setup
# from distutils.extension import Extension
# from Cython.Distutils import build_ext
import numpy
import os
Include_dirs = [ '.', 'lib', numpy.get_include(),
			os.path.join(os.environ['HOME'], 'local', 'include') ]
# Ldirs = [ os.path.join(os.environ['HOME'], 'local', 'lib') ]


setup(name = "g_classifiers", version = "0.30.1",
	description = "Python classifiers.",
	author = "Greg Kochanski",
	url = "http://kochanski.org/gpk/code/speechresearch/classifiers",
	author_email = "gpk@kochanski.org",
	packages = ['g_classifiers'],
	package_dir = {'g_classifiers': '.'},
	scripts = ['qd_classifier', 'l_classifier', 'qdg_classifier'],
	install_requires = [
				'gmisclib >= 0.60.4',
				# 'numpy >= 1.0.3',
				],
	# cmdclass = {'build_ext': build_ext},
	# ext_modules=[ 
    		# Extension("g_classifiers.logP",         ["logP.pyx"],
				# include_dirs = Include_dirs,
				# depends = [],
				# # library_dirs = Ldirs,
				# # libraries = ['gpk'],
				# language = 'c++'
				# ),
		# ],
	license = 'GPL2',
	keywords = "computational linguistics basic library python science classify",
	platforms = "All",
	classifiers = [
		'License :: OSI Approved :: GNU General Public License (GPL)',
		'Operating System :: OS Independent',
		'Development Status :: 3 - Alpha',
		'Topic :: Scientific/Engineering',
		'Intended Audience :: Science/Research',
		'Programming Language :: Python',
		# X11
		'Operating System :: OS Independent',
		'Programming Language :: Python',
		],
	long_description = """Linear and quadratic discriminant classifiers.
	See http://kochanski.plus.com/code/speechresearch/classifiers for documentation
	and http://sourceforge.net/projects/speechresearch for downloads,
	or look on the Python Cheese shop, http://pypi.python.org .
	"""
	)

